"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _MaterialCommunityIcons = _interopRequireDefault(require("react-native-vector-icons/MaterialCommunityIcons"));
var _MaterialIcons = _interopRequireDefault(require("react-native-vector-icons/MaterialIcons"));
var _constant = require("../constant");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const AppBar = _ref => {
  let {
    label,
    appBarType,
    appBarColor,
    labelColor,
    iconColor,
    onBackPress,
    onCalenderPress,
    onMenuPress,
    onSearchPress,
    elevated
  } = _ref;
  const height = appBarType === _constant.constant.MEDIUM_HEADER ? 112 : appBarType === _constant.constant.LARGE_HEADER ? 152 : 64;
  const styles = _reactNative.StyleSheet.create({
    root: {
      backgroundColor: appBarColor ? appBarColor : _constant.colors.primary,
      elevation: elevated ? 5 : 0,
      height: height,
      justifyContent: 'space-evenly'
    },
    rowContainer: {
      flexDirection: 'row',
      justifyContent: 'space-between'
    },
    labelContainer: {
      flex: 1,
      marginHorizontal: 10
    },
    centeredLabelContainer: {
      flex: 1,
      alignItems: 'center',
      marginHorizontal: 10
    },
    bottomLabelContainer: {
      marginHorizontal: 10
    },
    labelStyle: {
      color: labelColor ? labelColor : _constant.colors.primaryTextColor,
      fontSize: 20
    },
    biglabelStyle: {
      color: labelColor ? labelColor : _constant.colors.primaryTextColor,
      fontSize: 24
    },
    iconsContainer: {
      flexDirection: 'row'
    },
    pressable: {
      marginHorizontal: 5
    }
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.root
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.rowContainer
  }, appBarType !== _constant.constant.CONTENT ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: styles.pressable,
    onPress: onBackPress
  }, /*#__PURE__*/_react.default.createElement(_MaterialCommunityIcons.default, {
    name: "keyboard-backspace",
    size: 30,
    color: iconColor ? iconColor : _constant.colors.primaryTextColor
  })) : null, appBarType === _constant.constant.BACK_ACTION || appBarType === _constant.constant.CONTENT || appBarType === _constant.constant.SMALL_HEADER ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.labelContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.labelStyle
  }, label)) : appBarType === _constant.constant.CENTER_ALINGED_HEADER ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.centeredLabelContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.labelStyle
  }, label)) : null, appBarType === _constant.constant.ACTION || appBarType === _constant.constant.MEDIUM_HEADER || appBarType === _constant.constant.SMALL_HEADER || appBarType === _constant.constant.LARGE_HEADER || appBarType === _constant.constant.CENTER_ALINGED_HEADER ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.iconsContainer
  }, appBarType === _constant.constant.MEDIUM_HEADER || appBarType === _constant.constant.LARGE_HEADER || appBarType === _constant.constant.ACTION ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: styles.pressable,
    onPress: onCalenderPress
  }, /*#__PURE__*/_react.default.createElement(_MaterialCommunityIcons.default, {
    name: "calendar-today",
    size: 30,
    color: iconColor ? iconColor : _constant.colors.primaryTextColor
  })) : null, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: styles.pressable,
    onPress: onSearchPress
  }, /*#__PURE__*/_react.default.createElement(_MaterialIcons.default, {
    name: "search",
    size: 30,
    color: iconColor ? iconColor : _constant.colors.primaryTextColor
  })), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: styles.pressable,
    onPress: onMenuPress
  }, /*#__PURE__*/_react.default.createElement(_MaterialCommunityIcons.default, {
    name: "dots-vertical",
    size: 30,
    color: iconColor ? iconColor : _constant.colors.primaryTextColor
  }))) : null), appBarType === _constant.constant.MEDIUM_HEADER || appBarType === _constant.constant.LARGE_HEADER ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.bottomLabelContainer
  }, appBarType === _constant.constant.LARGE_HEADER ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.biglabelStyle
  }, label) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.labelStyle
  }, label)) : null);
};
var _default = AppBar;
exports.default = _default;
//# sourceMappingURL=appBar.js.map