import React from 'react';
import { ActivityIndicator } from 'react-native';
import PropTypes from 'prop-types';
export default function CustomActivityIndicator(_ref) {
  let {
    animating,
    color,
    small,
    large,
    size,
    style
  } = _ref;
  return /*#__PURE__*/React.createElement(ActivityIndicator, {
    size: small ? 'small' : large ? 'large' : size ? size : 'small',
    color: color ? color : '#6750A4',
    animating: animating,
    style: style
  });
}
CustomActivityIndicator.propTypes = {
  animating: PropTypes.bool,
  color: PropTypes.string,
  small: PropTypes.string,
  large: PropTypes.string,
  size: PropTypes.number && PropTypes.string,
  style: PropTypes.object
};
//# sourceMappingURL=activityIndicator.js.map