import React from 'react';
import { StyleSheet, Text, TouchableOpacity, View } from 'react-native';
import Icon from 'react-native-vector-icons/MaterialCommunityIcons';
import Search from 'react-native-vector-icons/MaterialIcons';
import { colors, constant } from '../constant';
const AppBar = _ref => {
  let {
    label,
    appBarType,
    appBarColor,
    labelColor,
    iconColor,
    onBackPress,
    onCalenderPress,
    onMenuPress,
    onSearchPress,
    elevated
  } = _ref;
  const height = appBarType === constant.MEDIUM_HEADER ? 112 : appBarType === constant.LARGE_HEADER ? 152 : 64;
  const styles = StyleSheet.create({
    root: {
      backgroundColor: appBarColor ? appBarColor : colors.primary,
      elevation: elevated ? 5 : 0,
      height: height,
      justifyContent: 'space-evenly'
    },
    rowContainer: {
      flexDirection: 'row',
      justifyContent: 'space-between'
    },
    labelContainer: {
      flex: 1,
      marginHorizontal: 10
    },
    centeredLabelContainer: {
      flex: 1,
      alignItems: 'center',
      marginHorizontal: 10
    },
    bottomLabelContainer: {
      marginHorizontal: 10
    },
    labelStyle: {
      color: labelColor ? labelColor : colors.primaryTextColor,
      fontSize: 20
    },
    biglabelStyle: {
      color: labelColor ? labelColor : colors.primaryTextColor,
      fontSize: 24
    },
    iconsContainer: {
      flexDirection: 'row'
    },
    pressable: {
      marginHorizontal: 5
    }
  });
  return /*#__PURE__*/React.createElement(View, {
    style: styles.root
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.rowContainer
  }, appBarType !== constant.CONTENT ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: styles.pressable,
    onPress: onBackPress
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "keyboard-backspace",
    size: 30,
    color: iconColor ? iconColor : colors.primaryTextColor
  })) : null, appBarType === constant.BACK_ACTION || appBarType === constant.CONTENT || appBarType === constant.SMALL_HEADER ? /*#__PURE__*/React.createElement(View, {
    style: styles.labelContainer
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.labelStyle
  }, label)) : appBarType === constant.CENTER_ALINGED_HEADER ? /*#__PURE__*/React.createElement(View, {
    style: styles.centeredLabelContainer
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.labelStyle
  }, label)) : null, appBarType === constant.ACTION || appBarType === constant.MEDIUM_HEADER || appBarType === constant.SMALL_HEADER || appBarType === constant.LARGE_HEADER || appBarType === constant.CENTER_ALINGED_HEADER ? /*#__PURE__*/React.createElement(View, {
    style: styles.iconsContainer
  }, appBarType === constant.MEDIUM_HEADER || appBarType === constant.LARGE_HEADER || appBarType === constant.ACTION ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: styles.pressable,
    onPress: onCalenderPress
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "calendar-today",
    size: 30,
    color: iconColor ? iconColor : colors.primaryTextColor
  })) : null, /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: styles.pressable,
    onPress: onSearchPress
  }, /*#__PURE__*/React.createElement(Search, {
    name: "search",
    size: 30,
    color: iconColor ? iconColor : colors.primaryTextColor
  })), /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: styles.pressable,
    onPress: onMenuPress
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "dots-vertical",
    size: 30,
    color: iconColor ? iconColor : colors.primaryTextColor
  }))) : null), appBarType === constant.MEDIUM_HEADER || appBarType === constant.LARGE_HEADER ? /*#__PURE__*/React.createElement(View, {
    style: styles.bottomLabelContainer
  }, appBarType === constant.LARGE_HEADER ? /*#__PURE__*/React.createElement(Text, {
    style: styles.biglabelStyle
  }, label) : /*#__PURE__*/React.createElement(Text, {
    style: styles.labelStyle
  }, label)) : null);
};
export default AppBar;
//# sourceMappingURL=appBar.js.map