import React from 'react';
import { StyleSheet, Text, View } from 'react-native';
import { colors, constant } from '../constant';
const Badge = _ref => {
  let {
    badgeType,
    badgeColor,
    text,
    textColor,
    isVisible,
    dotSize
  } = _ref;
  console.log(text);
  const size = badgeType === constant.DOT ? dotSize ? dotSize : 6 : dotSize ? dotSize : 20;
  const styles = StyleSheet.create({
    circle: {
      backgroundColor: badgeColor ? badgeColor : colors.primary,
      height: size,
      width: size,
      borderRadius: size,
      position: 'absolute',
      right: -10,
      top: -10,
      justifyContent: 'center',
      alignItems: 'center'
    },
    textstyle: {
      fontSize: 10,
      color: textColor ? textColor : colors.primaryTextColor
    }
  });
  return /*#__PURE__*/React.createElement(React.Fragment, null, isVisible ? /*#__PURE__*/React.createElement(View, {
    style: styles.circle
  }, badgeType === constant.WITH_TEXT ? /*#__PURE__*/React.createElement(Text, {
    style: styles.textstyle
  }, text) : null) : null);
};
export default Badge;
//# sourceMappingURL=badge.js.map