import React from 'react';
import { ActivityIndicator } from 'react-native';
import PropTypes from 'prop-types';

export default function CustomActivityIndicator({
  animating,
  color,
  small,
  large,
  size,
  style,
}) {
  return (
    <ActivityIndicator
      size={small ? 'small' : large ? 'large' : size ? size : 'small'}
      color={color ? color : '#6750A4'}
      animating={animating}
      style={style}
    />
  );
}

CustomActivityIndicator.propTypes = {
  animating: PropTypes.bool,
  color: PropTypes.string,
  small: PropTypes.string,
  large: PropTypes.string,
  size: PropTypes.number && PropTypes.string,
  style: PropTypes.object,
};
