import React from 'react';
import { TouchableOpacity, Text, StyleSheet } from 'react-native';

const TestButton = ({ onPress, text }) => {
  return (
    <TouchableOpacity onPress={onPress} style={styles.button}>
      <Text style={styles.btnTxt}>{text}</Text>
    </TouchableOpacity>
  );
};

export default TestButton;

const styles = StyleSheet.create({
  button: {
    elevation: 5,
    borderRadius: 8,
    alignSelf: 'center',
    padddingVertical: 10,
    padddingHorizontal: 24,
    backgroundColor: '#e8def8',
  },
  btnTxt: {
    fontSize: 20,
    fontWeight: 500,
    color: '#4a4458',
  },
});
